[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: ruby 1.8.6



Pietro Giorgianni wrote:

ho provato a scaricare i pacchetti di ruby 1.8.6 da snapshot (ho
scelto 1.8.6.114-2, che mi sembra la più recente tra gli 1.8.6),
digitando ruby -v mi viene risposto:

ruby 1.8.7 (2008-06-20 patchlevel 22) [i486-linux]

come faccio a installare la 1.8.6?

se la 1.8.7 non ti serve la puoi rimuovere e a quel punto la versione di default diventerà la 1.8.6.

Tu ora dovresti aver installate entrambe le versioni
Scrivi

$ rub
e premi il tasto tab due volte, dovrebbero apparirti almeno i seguenti:
ruby     ruby1.6     ruby1.7

ora individua dove si trova il link simbolico ruby
$ type ruby
ruby is /usr/bin/ruby

e ora guarda a cosa punta
$ ls -l /usr/bin/ruby
lrwxrwxrwx 1 root root 7  4 apr 20:16 /usr/bin/ruby -> ruby1.7

Per usare ruby1.6 puoi:

1) invocare la versione che ti interessa
$ ruby1.6 -v

2) modificare il link simbolico per puntare a ruby1.6

Ciao
Davide

--
Dizionari: http://linguistico.sourceforge.net/wiki
Petizione contro il formato ms-ooxml:
http://www.noooxml.org/petition
Non autorizzo la memorizzazione del mio indirizzo su outlook


Reply to: